import { createArticleFields } from '@/lib/keystatic/fields/article'
import { collection, fields } from '@keystatic/core'

export const AWQPostsCollection = collection({
  label: 'AWQ – Posts',
  slugField: 'title',
  path: 'src/content/awq/articles/*',
  columns: ['path', 'title'],
  entryLayout: 'content',
  format: { contentField: 'content' },
  schema: {
    path: fields.text({
      label: 'Path',
      description: 'Path on the website',
      defaultValue: '',
    }),
    ...createArticleFields('awq'),
  },
})
